Log inUsernamePassword
Log me on automatically each visit    
Register
Register
Log in to check your private messages
Log in to check your private messages
SMS Forum Index » Installation Support

Post new topic   Reply to topic
slapt-get Goto page 1, 2  Next
View previous topic :: View next topic  
Author Message
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 31, 2012 6:23 am    Post subject: slapt-get Reply with quote

Hello, I updated just slapt-get now I get the following error>>

slapt-get: error while loading shared libraries: libcrypto.so.1: cannot open shared object file: No such file or directory

Do you have a direct link to that file on your site where I can wget and install with installpkg

thanks
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Tue Jul 31, 2012 10:19 am    Post subject: Reply with quote

You need to update other packages too, like OpenSSL and gnutls.

that package will remove the error, but you need to install all three

http://sms.it-ccs.com/isos/SMS-Current/slackware/a/openssl-solibs-1.0.1c-i486-1sms.txz
http://sms.it-ccs.com/isos/SMS-Current/slackware/n/openssl-1.0.1c-i486-1sms.txz
http://sms.it-ccs.com/isos/SMS-Current/slackware/n/gnutls-3.0.21-i486-1.txz

Use upgradepkg and once you done you will need to upgrade packages with slapt-get and don't forget to install new packages, like nettle, p11-kit e.t.c.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 31, 2012 4:01 pm    Post subject: Reply with quote

Thanks , that was the solution to get slapt-get working.
Once I updated the remaining packages, and the excludes, ran lilo, and successfully booted to the 3.2.24 smp kernel, I see errors/warnings, about config files and shared libraries, that scroll by the screen. The libkmod, I believe, was showing an error.
Network now does not work, and can not use a keyboard (USB) at the console login prompt.

Anyway to add these missing shared libraries?
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Tue Jul 31, 2012 4:28 pm    Post subject: Reply with quote

Have you install new packages libcroco and libffi?
From which version you upgraded?
kmod replaced module-init-tools a few updates back, so you must uninstall module-init-tools and install kmod.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 31, 2012 4:47 pm    Post subject: Reply with quote

Did not install those ( libcroco and libffi). How are new packages identified? When I do a slapt-get -u then slapt-get --upgrade, I only see packages that require an update. Is there a link to the list of new packages that should be installed.
I did install nettle, p11-kit e.t.c., Obviously, the e.t.c part of your post was critical. Smile

Can I install those packages using the live cd?

thanks
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Tue Jul 31, 2012 5:15 pm    Post subject: Reply with quote

Usually with slapt-get -dist-upgrade you get new packages too.
The most appropriate method is by checking ChangeLog.txt
x86
http://sms.it-ccs.com/isos/SMS-Current/ChangeLog.txt
x86_64
http://sms.it-ccs.com/isos/SMS64-Current/ChangeLog.txt

You can boot from LiveCD or from NativeCD (installer) and mount partitions e.g.
if your root partitions is /dev/sda1 and boot partition is /dev/sda2

Code:
mount   /dev/sda1  /mnt/sda1
mount /dev/sda2   /mnt/sda2/boot


If you boot from NativeCD use /mnt as mount point, and install packages with
Code:
installpkg -root /mnt/sda1  packages.txz


gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 31, 2012 7:22 pm    Post subject: Reply with quote

Booting from live cd 1.6.6 x32 , the /dev/sda1 is already mounted /mnt/sda1 (which includes boot)

I have configured networking, and can ping my gateway. Can I do a slapt-get -i and update/add those packages?
Back to top
View user's profile Send private message
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 31, 2012 8:09 pm    Post subject: Reply with quote

Ahh - I just chroot /mnt/sda1 and installed the packages with slapt-get -i. That worked.
Now, when I do a slapt-get --dist-upgrade it wants to reinstall the slapt-get package. I select y, it re-install's slapt-get, and rerun (slapt-get -u ; slapt-get --dist-upgrade, get same re-install prompt. bug?
Also should kernel-firmware be updated from the excludes?
thxs
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Tue Jul 31, 2012 8:28 pm    Post subject: Reply with quote

Kernel-firmware is a must update, since it includes all the kernel firmware.
From kernel 3.2.24 I started deleting firmware built during compile and all firmware included in kernel-firmware package.

I know about slapt-get issue, but didn't check for it, I ignore it since doesn't make any difference, I'll check it someday.

rcS from sysvinit-scripts-2.0 has a typo and might be the reason you are not having all modules in place, I'll update in a few minutes...

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
miharix
Junior Member


Joined: 09 Nov 2011
Posts: 8

PostPosted: Tue May 07, 2013 12:23 pm    Post subject: Correct command order? Reply with quote

Hi,

very noob question.

What is the correct order of commands to update Kernel AND/OR Packages?

When I tried after clean install (2.0.3 x64 on RAID6)

Code:

slapt-get -update
slapt-get -dist-upgrade

I got some md5 file missing.
Then I tryed:
Code:
slapt-get -dist-upgrade --no-md5


Bad idea...
now I got "-bash: apt-get: command not found" Laughing

I need to update proFTPd because it seems that it isn't working for FileZilla client ( more under FAQ: http://www.proftpd.org/docs/modules/mod_facts.html )

I made it work after update (slapt-get -idont remember commands Embarassed) but then after server reboot, I had got from ifconfig /all "no network controller". Shocked But because I'm currently only testing the server I made just a clean reinstall.

Thanks for help!
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Tue May 07, 2013 2:27 pm    Post subject: Reply with quote

To update packages just use
to install the certificate
Code:
slapt-get --add-keys

to update list of packages
Code:
slapt-get -u

To upgrade installed packages
Code:
slapt-get -upgrade

To upgrade to a new SMS version (not always work though)
Code:
slapt-get -dist-upgrade


by passing the "-s" simulate the output, tell what to do... very usefull..
Code:
slapt-get -upgrade -s


You can upgrade only proftpd with
Code:
slapt-get -i proftpd


Now to upgrade kernels, I would strongly recommend to do it manual or with
Code:
slapt-get -i --no-upgrade kernel-hugesmp kernel-generic-smp

that way kerner installed and not upgraded, so if anything goes wrong you will boot to your old kernel...

Now after kernel installation you need to edit /etc/lilo.conf and update initrd.gz if you use one with

Code:
mkinitrd -k [kernel-version] -m [modules]


and finally run "lilo"

Regards
gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
miharix
Junior Member


Joined: 09 Nov 2011
Posts: 8

PostPosted: Wed May 08, 2013 9:45 am    Post subject: Reply with quote

gerasimos_h thanks for your great help!

When I run
Code:
slapt-get -upgrade
an get
Code:
Failed to download: MD5 checksum mismatch, override with --no-md5

(I got this in this case for "htop 1.0.2-x86_64-1")

What is the best approach? Try next ime or doing an override? Embarassed
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Wed May 08, 2013 10:21 am    Post subject: Reply with quote

I just check sources and didn't have any problem with htop...
Code:
root@sms64:~# slapt-get -i -d  --reinstall htop
Reading Package Lists...Done
The following packages will be reinstalled:
  htop
0 upgraded, 1 reinstalled, 0 newly installed, 0 to remove, 0 not upgraded.
Need to get 66.0kB of archives.
1/1 Get http://sms.it-ccs.com/isos/SMS64-Current/ htop 1.0.2-x86_64-1 [66.0kB]...Done

Done


Have you try to update sources first with
slapt-get -u
or even clean them with
slapt-get --clean

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
miharix
Junior Member


Joined: 09 Nov 2011
Posts: 8

PostPosted: Wed May 08, 2013 11:41 am    Post subject: Reply with quote

I tried now
Code:
slapt-get --clean
slapt-get -u
slapt-get -i htop

and there its still MD5 checksum mismatch. Think

I also excluded in my silent proxy on the network the sms.it-ccs.com from cashing, and cleared all the cache.

Probably irrelevant,.. when I run
Code:
slapt-get --add-keys
I'm getting for the second GPG (.../SMS64-Currnet/pasture/), "Not Found".
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1738
Location: Greece

PostPosted: Wed May 08, 2013 12:17 pm    Post subject: Reply with quote

GPG-KEY for SMS64-Current is missing indeed, I'll add it, so it will sync in a while, although it doesn't make any difference as it's the same key with main repo, so you already have it to verify signatures.

Try to delete all the contents in /var/slapt-get/
and try again to update sources...

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    SMS Forum Index » Installation Support All times are GMT + 2 Hours
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum

SMS - Superb! Mini Server Project © 2016
Powered by phpBB © 2001, 2002 phpBB Group
iCGstation v1.0 Template By Ray © 2003, 2004 iOptional